View Issue Details

IDProjectCategoryView StatusLast Update
0000715DraftBugpublic2012-08-14 21:40
ReporterpperisinAssigned Toyorik 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target Version0.13Fixed in Version0.13 
Summary0000715: Draft move does not respect working plane
DescriptionHi,

I was trying to move objects on an XY plane, and the best way to do this would be to use Draft move.

However, it seems that draft rotate respects working plane, and draft move does not

Can this be fixed
Additional InformationWin7

latest win unstable 0.13
TagsNo tags attached.

Activities

yorik

2012-05-21 11:58

administrator   ~0002063

It seems to me that moving along the working plane works fine... Can you give me an exact step-by-step method to reproduce the problem please?

pperisin

2012-05-21 13:34

reporter   ~0002064

Create box.
set working plane to be one of it's faces
move box - it will move in space, and will not respect working plane.

maybe I am doing something wrong. I select working plane by clicking the loooong button in draft command bar, and after that click on a face on a box.

pperisin

2012-05-21 13:35

reporter   ~0002065

0943 0.13

pperisin

2012-05-21 13:40

reporter   ~0002066

http://dl.dropbox.com/u/36707971/Video_1337621878.wmv

yorik

2012-05-21 17:48

administrator   ~0002068

Ah I see now... the move actually respects the working plane, the second point is on the working plane. I'm not sure what's the best way to do here: either move the working plane up to the first point you click, or, instead of snapping a vertex, snap the corresponding point on the WP...

I must think a bit what's the best path. In the meantime, have you tried pressing shift? it might be the best way to do what you want

pperisin

2012-05-21 17:55

reporter   ~0002069

1 - shift does not help - he moves in a weird way, but just on one line.

I would expect that if I set some working plane, and do move by selecting object, clicking on toolbar icon and then on one point - move would be done in a way that selected point would remain on a plane that is parallel to working plane and intersects point's original location.

in the video, I would expect that bottom side of a box remains on a plane under it.

Hope it makes sense.

yorik

2012-05-21 18:29

administrator   ~0002070

It does, but I can imagine other cases when someone would want the contrary, snap any selected point in space to a working plane position. I must find a way that satisfies it all..

The actual (right?) way to do this would be to set the WP to the upper face of your cube.. you can do that by selecting the face then pressing the WP button

pperisin

2012-05-21 18:55

reporter   ~0002071

Last edited: 2012-05-21 18:55

1 - I think it is done other way around - click WP button and then select face. Please correct if I am wrong.

2 - If I am not wrong, I do that in a video, and it does not work.

yorik

2012-05-21 19:32

administrator   ~0002072

Ah indeed this looks to be broken, I'll fix that too

pperisin

2012-05-29 12:24

reporter   ~0002100

one more suggestion: If user presses X, Y or Z, allow him to move only in those directions.

Maye the best to make this would be to make X, Y and Z in the draft command bar buttons - they toggle on pressing X, Y and/or Z, and if they are off, that dimension is not used to move object.

yorik

2012-05-29 16:53

administrator   ~0002101

Ah excellent idea... This would liberate totally the shift key...

yorik

2012-06-11 15:34

administrator   ~0002179

Done with 2efc491. You can now press X, Y and Z to constrain/unconstrain to a specifc axis. Shift still works, but will probably be disabled in the future. Draft move now also respects the working plane, provided you set it correctly before the movement.

pperisin

2012-06-11 19:34

reporter   ~0002186

I have just tested - it works nicely, but I have some feedback:

1 - I like how now icons are available even when nothing is selected. However, when I want to move a box (when nothing is selected), I first press move command in draft and then I have to click on a box twice (not double click, but twice single click) in order for it to move - can this be made so that I only click once on a box to move it.

2 - you implemented X, Y, and Z constraining of axis in a way that when user presses X, he is moving only on X axis. This way you disable two axis (Y and Z). This is cool, but what if user wants to move on a plane - so to disable only one axis - I would recommend "Shift+X" for disable move on X axis only (and allow move on YZ plane)

3 - I'm having problems in moving box on a Z axis - X and Y work, but Z does not want to work somehow (move and press z - does not want to do anything).

4 - move on a working plane works like a charm. Great job.

Regards,
Petar

pperisin

2012-06-11 20:04

reporter   ~0002187

Ok, it seems that X and Y are moving box horizontally and vertically on screen - so not on X and Y axis in 3D, but on X and Y axis on screen. Z does nothing.

yorik

2012-08-14 21:39

administrator   ~0002321

Z problem is fixed with commit 969f4b5

Issue History

Date Modified Username Field Change
2012-05-21 07:53 pperisin New Issue
2012-05-21 11:58 yorik Note Added: 0002063
2012-05-21 13:34 pperisin Note Added: 0002064
2012-05-21 13:35 pperisin Note Added: 0002065
2012-05-21 13:40 pperisin Note Added: 0002066
2012-05-21 17:48 yorik Note Added: 0002068
2012-05-21 17:55 pperisin Note Added: 0002069
2012-05-21 18:29 yorik Note Added: 0002070
2012-05-21 18:29 yorik Status new => assigned
2012-05-21 18:29 yorik Assigned To => yorik
2012-05-21 18:55 pperisin Note Added: 0002071
2012-05-21 18:55 pperisin Note Edited: 0002071
2012-05-21 19:32 yorik Note Added: 0002072
2012-05-29 12:24 pperisin Note Added: 0002100
2012-05-29 16:53 yorik Note Added: 0002101
2012-06-11 15:34 yorik Note Added: 0002179
2012-06-11 15:34 yorik Status assigned => closed
2012-06-11 15:34 yorik Resolution open => fixed
2012-06-11 15:34 yorik Fixed in Version => 0.13
2012-06-11 19:34 pperisin Note Added: 0002186
2012-06-11 19:34 pperisin Status closed => feedback
2012-06-11 19:34 pperisin Resolution fixed => reopened
2012-06-11 20:04 pperisin Note Added: 0002187
2012-06-12 16:50 yorik Status feedback => assigned
2012-06-12 16:53 yorik Project FreeCAD => Draft
2012-06-12 16:54 yorik Target Version => 0.13
2012-08-14 21:39 yorik Note Added: 0002321
2012-08-14 21:40 yorik Status assigned => closed
2012-08-14 21:40 yorik Resolution reopened => fixed